Package org.apache.datasketches.hive.cpc

## Class SketchToStringUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.cpc.SketchToStringUDF

    public class SketchToStringUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`SketchToStringUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Get a summary of a given CpcSketch using the default seed
`String` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, long seed)` Get a summary of a given CpcSketch with explicit seed

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SketchToStringUDF

    public SketchToStringUDF()

### Method Detail

#### evaluate

    public String evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                           long seed)

Get a summary of a given CpcSketch with explicit seed

Parameters:
  `serializedSketch` - CpcSketch in a serialized binary form
  `seed` - update seed
Returns:
  text summary

#### evaluate

    public String evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Get a summary of a given CpcSketch using the default seed

Parameters:
  `serializedSketch` - CpcSketch in a serialized binary form
Returns:
  text summary